library(stockassessment)
load("run/model.RData")
FC<-list()
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,1,1), label="SQ all years", processNoiseF = FALSE,savesim =TRUE, lagR = TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,NA,1), fval=c(NA,NA,0.000001, NA), label="SQ then zero", processNoiseF = FALSE,savesim =TRUE, lagR = TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,NA,1), fval=c(NA,NA,0.246, NA), label="Fmsy adjusted for stock being below MSY Btrigger", processNoiseF = FALSE,savesim =TRUE, lagR = TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,NA,1), fval=c(NA,NA,0.176, NA), label="F0.1", processNoiseF = FALSE,savesim =TRUE, lagR = TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,NA,1), catchval=c(NA,NA,3435, NA), label="Old method, catch bringing stock above Blim (=107514 t) at end of advice year", processNoiseF = FALSE,savesim =TRUE, lagR = TRUE)
save(FC, file="run/forecast.RData")
